# CodeRd

#### 介绍
coderd为[CodeRd](http://coderd.adjustrd.com/)提供的客户端命令，可用于快速生成代码至本地、同步数据库表结构至项目资源中等，大大减少了代码生成成本，提高了代码生成的用户体验。详细内容请前往[官网](http://coderd.adjustrd.com/)查看。


#### 安装教程
##### 一、全局安装
```
npm install -g coderd
```

##### 二、验证安装是否完成
```
coderd --help
```
安装完成后，键入该命令可获取coderd使用帮助文档。

#### 使用说明

##### 登录
```bash
coderd login
```

##### 新建和指定默认项目

通过以下命令可快速新建一个项目，项目创建成功后指定为默认项目
```
coderd project -n
```
在生成代码和同步表结构之前，你都需要先指定一个默认项目。指定默认项目的基本愈发如下：
```
coderd use {project.enName}
```
以下命令指定项目英文名称为myproject的项目为默认项目
```
coderd use myproject
```

##### 生成代码

基本语法如下：
```
coderd <alias>@<version> <command> [options]
```
以下命令可生成springboot框架，其中springboot为模版别名，build为模版的功能命令（别名和功能命令可在网站/模版详情中查看）
```
coderd springboot build
```
以下命令可根据springboot模版的2.1.7版本生成框架
```
coderd springboot@2.1.7 build
```
以下命令可根据springboot模版的默认接口生成版本来生成接口
```
coderd springboot i -r user
```

##### 生成代码到指定位置
默认情况下，当生成的结果是一个文件时，程序会自动扫描你的项目所有文件，并找到存在#coderd#占位字符串的文件，将#coderd#替换成已生成的内容。

##### 同步表结构
配置数据库
```
coderd db
```
测试数据库链接
```
coderd db -t
```
同步表
```
coderd table -s
```
同步指定表
```
coderd table -s user
```

##### 更多
更多内容可以通过直接执行coderd命令获取帮助文档来查看。

