#!/usr/bin/env node
const syntax = require('./src/utils/syntax');
const help = require('./src/help');
const version = require('./src/version');
const user = require('./src/user');
const project = require('./src/project');
const resource = require('./src/resource');
const db = require('./src/db');
const table = require('./src/table');
const runner = require('./src/runner');
const before = require('./src/before')
const update = require('./src/update')

// 优先处理帮助文档
help.handleCommand();
// 获取yargs参数
const yargs = require('yargs');
const jsonArgs = yargs.argv;
const args = yargs.argv._;
// 获取命令
const command = args[0];
// 获取参数
const option = {
  version: jsonArgs.v || jsonArgs.version,
  help: jsonArgs.h || jsonArgs.help,
  list: jsonArgs.l || jsonArgs.list,
  all: jsonArgs.a || jsonArgs.all,
  force: jsonArgs.f || jsonArgs.force,
  test: jsonArgs.t || jsonArgs.test,
  debug: jsonArgs.d || jsonArgs.debug,
  project: jsonArgs.p,
  new: jsonArgs.n,
  sync: jsonArgs.s,
  resources: jsonArgs.r
};
// 前置处理
before.beforeHandler(option, () => {
  // 命令处理
  if(
    !version.handleCommand() &&
    !update.handleCommand(command) &&
    !user.handleCommand(command, option) &&
    !project.handleCommand(command, option, args) &&
    !resource.handleCommand(command, option, args) &&
    !db.handleCommand(command, option, args) &&
    !table.handleCommand(command, option, args) &&
    !runner.handleCommand(command, option, args)
  ) {
    syntax.printSyntaxError()
  }
})
