const log = require('./utils/log');
const { exec } = require('child_process');

module.exports = {
  handleCommand (command) {
    if (command !== 'update') {
      return false
    }
    log.info('正在更新版本，由于使用的是http://registry.npmjs.org镜像，更新可能较慢，请耐心等待...')
    exec('npm uninstall coderd -g', (err) => {
      if(err) {
        log.error('更新失败，请使用npm uninstall coderd -g和npm install coderd -g --registry http://registry.npmjs.org进行手动更新')
        return;
      }
      exec('npm install coderd -g --registry http://registry.npmjs.org', (err) => {
        if(err) {
          log.error('更新失败，请手动更新')
          return;
        }
        log.success("更新成功！")
      })
    })
    return true
  }
}
