const axios = require('axios')
axios.defaults.headers.common['Content-Type'] = 'application/json;charset=UTF-8'
const axiosInstance = axios.create({
  // 如果是服务端请求，基础路径为后端地址，如果为客户端请求，基础路径为客户端根路径
  // baseURL: 'http://localhost:18000',
  baseURL: 'http://passport.adjustrd.com/api',
  timeout: 180000 // 请求超时时间
})

// 添加请求拦截器
axiosInstance.interceptors.request.use(function (config) {
  return config
}, function (error) {
  return Promise.reject(error)
})
// 添加响应拦截器
axiosInstance.interceptors.response.use(response => {
  // 请求失败
  if (response.status !== 200) {
    return Promise.reject(response.data)
  }
  // 业务失败
  if (response.data.code !== 'SUCCESS') {
    return Promise.reject(response.data)
  }
  return response.data.data
}, function (error) {
  // 对响应错误做点什么
  return Promise.reject(error)
})

module.exports = axiosInstance
