const log = require('./log');

module.exports = {
  // 打印错误
  printSyntaxError () {
    log.warn('语法不正确，你可以通过coderd --help来获取使用帮助信息');
    process.exit()
  },
  // 验证语法
  check (args, option, matchArgLengths, matchOptions=[]) {
    // 参数个数验证
    if (matchArgLengths != null && matchArgLengths.length > 0) {
      let passed = false;
      for (const length of matchArgLengths) {
        if(args.length === length) {
          passed = true
        }
      }
      if (!passed) {
        this.printSyntaxError()
      }
    }
    // 选项验证
    if (matchOptions != null && matchOptions.length > 0) {
      let passed = false;
      for (const optionKey of matchOptions){
        if (option[optionKey] != null) {
          passed = true;
          break
        }
      }
      if (!passed) {
        this.printSyntaxError()
      }
    }
  }
};
